<!DOCTYPE html>
<html lang="en" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="Hugo 0.89.4" />
    <meta name="description" content="Documentation for Hugo Learn Theme">
<meta name="author" content="Mathieu Cornic">

    <link rel="icon" href="/images/favicon.png" type="image/png">

    <title>Style customization :: Documentation for Hugo Learn Theme</title>

    
    <link href="/css/nucleus.css?1669031261" rel="stylesheet">
    <link href="/css/fontawesome-all.min.css?1669031261" rel="stylesheet">
    <link href="/css/hybrid.css?1669031261" rel="stylesheet">
    <link href="/css/featherlight.min.css?1669031261" rel="stylesheet">
    <link href="/css/perfect-scrollbar.min.css?1669031261" rel="stylesheet">
    <link href="/css/auto-complete.css?1669031261" rel="stylesheet">
    <link href="/css/atom-one-dark-reasonable.css?1669031261" rel="stylesheet">
    <link href="/css/theme.css?1669031261" rel="stylesheet">
    <link href="/css/tabs.css?1669031261" rel="stylesheet">
    <link href="/css/hugo-theme.css?1669031261" rel="stylesheet">
    
    

    <script src="/js/jquery-3.3.1.min.js?1669031261"></script>

    <style>
      :root #header + #content > #left > #rlblock_left{
          display:none !important;
      }
      
    </style>
    
  </head>
  <body class="" data-url="/en/basics/style-customization/">
    <nav id="sidebar" class="showVisitedLinks">



  <div id="header-wrapper">
    <div id="header">
      <a id="logo" href='/en'>

<svg id="grav-logo" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
	width="100%" height="100%"  viewBox="0 0 285.1 69.9" xml:space="preserve">
<g>
	<path d="M35,0c9.6,0,17.9,3.4,24.7,10.3c6.8,6.8,10.3,15,10.3,24.7c0,9.7-3.4,17.9-10.3,24.7c-6.8,6.8-15,10.3-24.7,10.3
		c-9.7,0-17.9-3.4-24.7-10.3C3.4,52.8,0,44.6,0,34.9c0-9.6,3.4-17.9,10.3-24.7C17.1,3.4,25.3,0,35,0z M22.3,63.7
		c0.3-7.4,0.3-14.7,0-22.1c-2.1-0.4-4-0.4-5.9,0c-0.2,0.8-0.2,2.5-0.1,4.9c0.1,2.3,0,3.9-0.3,4.8c-1.7-0.6-2.7-2.1-3.1-4.6
		c-0.1-0.7-0.1-3.3-0.1-8c0-14.5-0.1-23-0.3-25.6c-3.6,4.1-5.6,7-5.9,8.5v10.9c0,4.5,0.1,8.1,0.2,10.9c0,0.4,0,1.3-0.1,2.8
		c-0.1,1.2,0,2.1,0.1,2.6c0.1,0.6,1.1,2.1,2.8,4.7C13.2,58.7,17.5,62.2,22.3,63.7z M44.6,65.4c0.3-5,0.2-12.9-0.1-23.6
		c-2.1-0.3-4.1-0.3-5.9,0c-0.2,2-0.2,5.1-0.1,9.5c0.1,4.3,0,7.5-0.1,9.5c-2.9,0.4-5,0.3-6.2-0.1c-0.2-5.6-0.2-15.2-0.1-28.7
		c0.1-12.4,0-21.8-0.3-28.3c-2.4,0.1-4.3,0.6-5.7,1.3c-0.1,7.7-0.2,17.7-0.1,30.1c0,16.5,0,26.6,0,30.3c2.3,1.1,5.4,1.7,9.4,1.7
		C38.9,66.9,42.1,66.4,44.6,65.4z M48.1,64.1c9.7-4.6,15.7-12,18-22.2c-1.8-0.2-3.8-0.3-6.1-0.3c-1.6,3.9-2.6,6.3-3.2,7.2
		c-1.1,1.7-2,2.5-2.7,2.5C54,46,54,39.1,54,30.5c0-11.5,0-18.4,0-20.9c-1.4-1.4-3.3-2.5-5.7-3.4C48.1,6.3,48,6.4,48,6.7
		c0,3.5,0,13.1,0,28.8C47.9,47.2,48,56.8,48.1,64.1z"/>
</g>
<g>
	<path d="M116.6,51.3h-29c-0.5,0-0.9-0.1-1.3-0.2c-0.4-0.2-0.7-0.4-1-0.7c-0.3-0.3-0.5-0.6-0.7-1c-0.2-0.4-0.2-0.8-0.2-1.3V16.3h6.3
		V45h25.8V51.3z"/>
	<path d="M154.8,51.3h-22.9c-0.9,0-1.8-0.2-2.9-0.5c-1-0.3-2-0.8-2.9-1.5c-0.9-0.7-1.6-1.6-2.2-2.8c-0.6-1.1-0.9-2.5-0.9-4.2V19.5
		c0-0.4,0.1-0.9,0.2-1.2c0.2-0.4,0.4-0.7,0.7-1c0.3-0.3,0.6-0.5,1-0.7c0.4-0.2,0.8-0.2,1.3-0.2h28.6v6.3h-25.4v19.8
		c0,0.8,0.2,1.5,0.7,1.9s1.1,0.7,1.9,0.7h22.9V51.3z M151.9,37h-20v-6.4h20V37z"/>
	<path d="M197.3,51.3H191v-8.6h-22.3v8.6h-6.3V33.8c0-2.6,0.4-4.9,1.3-7.1s2.1-4,3.7-5.5c1.6-1.5,3.4-2.8,5.5-3.6
		c2.1-0.9,4.5-1.3,7-1.3h14.3c0.4,0,0.9,0.1,1.2,0.2c0.4,0.2,0.7,0.4,1,0.7s0.5,0.6,0.7,1c0.2,0.4,0.2,0.8,0.2,1.2V51.3z
		 M168.7,36.4H191V22.6h-11.2c-0.2,0-0.6,0-1.2,0.1c-0.6,0.1-1.4,0.2-2.2,0.4c-0.8,0.2-1.7,0.6-2.6,1c-0.9,0.5-1.8,1.1-2.5,2
		c-0.8,0.8-1.4,1.9-1.9,3.1c-0.5,1.2-0.7,2.8-0.7,4.5V36.4z"/>
	<path d="M241.7,28.1c0,1.4-0.2,2.7-0.5,3.9c-0.4,1.1-0.8,2.1-1.5,3c-0.6,0.9-1.3,1.6-2.1,2.2c-0.8,0.6-1.6,1.1-2.5,1.5
		c-0.9,0.4-1.8,0.7-2.6,0.9c-0.9,0.2-1.7,0.3-2.5,0.3l13.3,11.5h-9.8l-13.2-11.5h-4.6v-6.3H230c0.8-0.1,1.5-0.2,2.2-0.5
		c0.7-0.3,1.2-0.6,1.7-1.1c0.5-0.5,0.9-1,1.1-1.6c0.3-0.6,0.4-1.4,0.4-2.2v-4c0-0.4,0-0.6-0.1-0.8c-0.1-0.2-0.2-0.3-0.3-0.4
		c-0.1-0.1-0.3-0.1-0.4-0.2c-0.2,0-0.3,0-0.4,0h-20.9v28.7h-6.3V19.5c0-0.4,0.1-0.9,0.2-1.2c0.2-0.4,0.4-0.7,0.7-1
		c0.3-0.3,0.6-0.5,1-0.7c0.4-0.2,0.8-0.2,1.3-0.2H234c1.4,0,2.6,0.3,3.6,0.8s1.8,1.2,2.4,1.9c0.6,0.8,1,1.6,1.3,2.5
		c0.3,0.9,0.4,1.7,0.4,2.5V28.1z"/>
	<path d="M285.1,48.6c0,0.5-0.1,0.9-0.3,1.3c-0.2,0.4-0.4,0.7-0.7,1c-0.3,0.3-0.6,0.5-1,0.7c-0.4,0.2-0.8,0.2-1.2,0.2
		c-0.4,0-0.8-0.1-1.2-0.2c-0.4-0.1-0.8-0.4-1.1-0.7l-23.2-24.2v24.7h-6.3V19c0-0.7,0.2-1.2,0.5-1.8c0.4-0.5,0.8-0.9,1.4-1.2
		c0.6-0.2,1.2-0.3,1.9-0.2s1.2,0.4,1.6,0.9l23.2,24.2V16.3h6.3V48.6z"/>
</g>
</svg>

</a>

    </div>
    
        <div class="searchbox">
    <label for="search-by"><i class="fas fa-search"></i></label>
    <input data-search-input id="search-by" type="search" placeholder="Search...">
    <span data-search-clear=""><i class="fas fa-times"></i></span>
</div>

<script type="text/javascript" src="/js/lunr.min.js?1669031261"></script>
<script type="text/javascript" src="/js/auto-complete.js?1669031261"></script>
<script type="text/javascript">
    
        var baseurl = "\/\/en";
    
</script>
<script type="text/javascript" src="/js/search.js?1669031261"></script>

    
  </div>
  

    <div class="highlightable">
    <ul class="topics">

        
          
          




 
  
    
    <li data-nav-id="/en/basics/" title="Basics" class="dd-item
        parent
        
        
        ">
      <a href="/en/basics/">
          <b>1. </b>Basics
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/basics/requirements/" title="Requirements" class="dd-item
        
        
        
        ">
      <a href="/en/basics/requirements/">
          Requirements
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/basics/installation/" title="Installation" class="dd-item
        
        
        
        ">
      <a href="/en/basics/installation/">
          Installation
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/basics/configuration/" title="Configuration" class="dd-item
        
        
        
        ">
      <a href="/en/basics/configuration/">
          Configuration
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/basics/style-customization/" title="Style customization" class="dd-item
        parent
        active
        
        ">
      <a href="/en/basics/style-customization/">
          Style customization
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/en/cont/" title="Content" class="dd-item
        
        
        
        ">
      <a href="/en/cont/">
          <b>2. </b>Content
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/cont/pages/" title="Pages organization" class="dd-item
        
        
        
        ">
      <a href="/en/cont/pages/">
          Pages organization
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/archetypes/" title="Archetypes" class="dd-item ">
        <a href="/en/cont/archetypes/">
        Archetypes
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/markdown/" title="Markdown syntax" class="dd-item ">
        <a href="/en/cont/markdown/">
        Markdown syntax
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/syntaxhighlight/" title="Code highlighting" class="dd-item ">
        <a href="/en/cont/syntaxhighlight/">
        Code highlighting
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/menushortcuts/" title="Menu extra shortcuts" class="dd-item ">
        <a href="/en/cont/menushortcuts/">
        Menu extra shortcuts
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/icons/" title="Icons and logos" class="dd-item ">
        <a href="/en/cont/icons/">
        Icons and logos
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/cont/i18n/" title="Multilingual and i18n" class="dd-item
        
        
        
        ">
      <a href="/en/cont/i18n/">
          Multilingual and i18n
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/tags/" title="Tags" class="dd-item ">
        <a href="/en/cont/tags/">
        Tags
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/en/shortcodes/" title="Shortcodes" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/">
          <b>3. </b>Shortcodes
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/attachments/" title="Attachments" class="dd-item ">
        <a href="/en/shortcodes/attachments/">
        Attachments
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/button/" title="Button" class="dd-item ">
        <a href="/en/shortcodes/button/">
        Button
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/" title="Children" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/">
          Children
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/" title="page 1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/">
          page 1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/" title="page 1-1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/">
          page 1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/" title="page 1-1-1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/">
          page 1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/" title="page 1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/">
          page 1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/" title="page 1-1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/">
          page 1-1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-2/" title="page 2" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-2/">
          page 2
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/children/children-2/test3/" title="page test 3" class="dd-item ">
        <a href="/en/shortcodes/children/children-2/test3/">
        page test 3
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-3/" title="page 3" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-3/">
          page 3
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/children/test/" title="page test" class="dd-item ">
        <a href="/en/shortcodes/children/test/">
        page test
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/expand/" title="Expand" class="dd-item ">
        <a href="/en/shortcodes/expand/">
        Expand
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/mermaid/" title="Mermaid" class="dd-item ">
        <a href="/en/shortcodes/mermaid/">
        Mermaid
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/notice/" title="Notice" class="dd-item ">
        <a href="/en/shortcodes/notice/">
        Notice
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/siteparam/" title="Site param" class="dd-item ">
        <a href="/en/shortcodes/siteparam/">
        Site param
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/tabs/" title="Tabbed views" class="dd-item ">
        <a href="/en/shortcodes/tabs/">
        Tabbed views
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/en/post/" title="Posts" class="dd-item
        
        
        
        ">
      <a href="/en/post/">
          Posts
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/en/post/2020-12-01-r-rmarkdown/" title="2020 12 01 R Rmarkdown" class="dd-item ">
        <a href="/en/post/2020-12-01-r-rmarkdown/">
        2020 12 01 R Rmarkdown
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
        
    </ul>

    
    
      <section id="shortcuts">
        <h3>More</h3>
        <ul>
          
              <li>
                  <a class="padding" href="https://github.com/matcornic/hugo-theme-learn"><i class='fab fa-fw fa-github'></i> GitHub repo</a>
              </li>
          
              <li>
                  <a class="padding" href="/en/showcase"><i class='fas fa-fw fa-camera'></i> Showcases</a>
              </li>
          
              <li>
                  <a class="padding" href="https://gohugo.io/"><i class='fas fa-fw fa-bookmark'></i> Hugo Documentation</a>
              </li>
          
              <li>
                  <a class="padding" href="en/credits"><i class='fas fa-fw fa-bullhorn'></i> Credits</a>
              </li>
          
        </ul>
      </section>
    

    
    <section id="prefooter">
      <hr/>
      <ul>
      
        <li>
          <a class="padding">
            <i class="fas fa-language fa-fw"></i>
          <div class="select-style">
            <select id="select-language" onchange="location = this.value;">
          
          
          
              
              
                  
                    
                    
                      <option id="en" value="/en/basics/style-customization/" selected>English</option>
                    
                  
              
                  
              
                  
              
          
              
              
                  
              
                  
                    
                    
                      <option id="fr" value="/fr/basics/style-customization/">Français</option>
                    
                  
              
                  
              
          
        </select>
        <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
          width="255px" height="255px" viewBox="0 0 255 255" style="enable-background:new 0 0 255 255;" xml:space="preserve">
          <g>
            <g id="arrow-drop-down">
              <polygon points="0,63.75 127.5,191.25 255,63.75 		" />
            </g>
          </g>
        </svg>
        </div>
        </a>
        </li>
      

      
        <li><a class="padding" href="#" data-clear-history-toggle=""><i class="fas fa-history fa-fw"></i> Clear History</a></li>
      
      </ul>
    </section>
    
    <section id="footer">
      <center>
    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn/archive/master.zip" data-icon="octicon-cloud-download" aria-label="Download matcornic/hugo-theme-learn on GitHub">Download</a>

    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn" data-icon="octicon-star" data-show-count="true" aria-label="Star matcornic/hugo-theme-learn on GitHub">Star</a>

    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn/fork" data-icon="octicon-repo-forked" data-show-count="true" aria-label="Fork matcornic/hugo-theme-learn on GitHub">Fork</a>

    <p>Built with <a href="https://github.com/matcornic/hugo-theme-learn"><i class="fas fa-heart"></i></a> from <a href="https://getgrav.org">Grav</a> and <a href="https://gohugo.io/">Hugo</a></p>
</center>

<script async defer src="https://buttons.github.io/buttons.js"></script>

    </section>
  </div>
</nav>




        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              
              <div>
                <div id="top-bar">
                
                  
                  
                  
                  <div id="top-github-link">
                    <a class="github-link" title='Edit this page' href="https://github.com/matcornic/hugo-theme-learn/edit/master/exampleSite/content/basics/style-customization/_index.en.md" target="blank">
                      <i class="fas fa-code-branch"></i>
                      <span id="top-github-link-text">Edit this page</span>
                    </a>
                  </div>
                  
                
                
                <div id="breadcrumbs" itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb">
                    <span id="sidebar-toggle-span">
                        <a href="#" id="sidebar-toggle" data-sidebar-toggle="">
                          <i class="fas fa-bars"></i>
                        </a>
                    </span>
                  
                  <span id="toc-menu"><i class="fas fa-list-alt"></i></span>
                  
                  <span class="links">
                 
                 
                    
          
          
            
            
          
          
            
            
          
          
            <a href='/en/'>Learn Theme for Hugo</a> > <a href='/en/basics/'>Basics</a> > Style customization
          
        
          
        
          
        
                 
                  </span>
                </div>
                
                    <div class="progress">
    <div class="wrapper">
<nav id="TableOfContents">
  <ul>
    <li><a href="#change-the-logo">Change the logo</a></li>
    <li><a href="#change-the-favicon">Change the favicon</a></li>
    <li><a href="#theme-variant">Change default colors</a>
      <ul>
        <li><a href="#red-variant">Red variant</a></li>
        <li><a href="#blue-variant">Blue variant</a></li>
        <li><a href="#green-variant">Green variant</a></li>
        <li><a href="#yours-variant">&lsquo;Yours‘ variant</a></li>
      </ul>
    </li>
  </ul>
</nav>
    </div>
</div>

                
              </div>
            </div>
            
        <div id="head-tags">
        
        </div>
        
        <div id="body-inner">
          
            <h1>
              
              Style customization
            </h1>
          

        



	<p><strong>Hugo-theme-learn</strong> has been built to be as configurable as possible by defining multiple <a href="https://gohugo.io/templates/partials/">partials</a></p>
<p>In <code>themes/hugo-theme-learn/layouts/partials/</code>, you will find all the partials defined for this theme. If you need to overwrite something, don&rsquo;t change the code directly. Instead <a href="https://gohugo.io/themes/customizing/">follow this page</a>. You&rsquo;d create a new partial in the <code>layouts/partials</code> folder of your local project. This partial will have the priority.</p>
<p>This theme defines the following partials :</p>
<ul>
<li><em>header</em>: the header of the content page (contains the breadcrumbs). <em>Not meant to be overwritten</em></li>
<li><em>custom-header</em>: custom headers in page. Meant to be overwritten when adding CSS imports. Don&rsquo;t forget to include <code>style</code> HTML tag directive in your file</li>
<li><em>footer</em>: the footer of the content page (contains the arrows). <em>Not meant to be overwritten</em></li>
<li><em>custom-footer</em>:  custom footer in page. Meant to be overwritten when adding Javacript. Don&rsquo;t forget to include <code>javascript</code> HTML tag directive in your file</li>
<li><em>favicon</em>: the favicon</li>
<li><em>logo</em>: the logo, on top left hand corner.</li>
<li><em>meta</em>: HTML meta tags, if you want to change default behavior</li>
<li><em>menu</em>: left menu. <em>Not meant to be overwritten</em></li>
<li><em>menu-footer</em>: footer of the the left menu</li>
<li><em>search</em>: search box</li>
<li><em>toc</em>: table of contents</li>
</ul>
<h2 id="change-the-logo">Change the logo</h2>
<p>Create a new file in <code>layouts/partials/</code> named <code>logo.html</code>. Then write any HTML you want.
You could use an <code>img</code> HTML tag and reference an image created under the <em>static</em> folder, or you could paste a SVG definition !</p>

<div class="notices note" ><p>The size of the logo will adapt automatically</p>
</div>

<h2 id="change-the-favicon">Change the favicon</h2>
<p>If your favicon is a png, just drop off your image in your local <code>static/images/</code> folder and name it <code>favicon.png</code></p>
<p>If you need to change this default behavior, create a new file in <code>layouts/partials/</code> named <code>favicon.html</code>. Then write something like this:</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-html" data-lang="html">&lt;<span style="color:#f92672">link</span> <span style="color:#a6e22e">rel</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;shortcut icon&#34;</span> <span style="color:#a6e22e">href</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;/images/favicon.png&#34;</span> <span style="color:#a6e22e">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;image/x-icon&#34;</span> /&gt;
</code></pre></div><h2 id="theme-variant">Change default colors</h2>
<p><strong>Hugo Learn theme</strong> let you choose between 3 native color scheme variants, but feel free to add one yourself ! Default color scheme is based on <a href="https://learn.getgrav.org/">Grav Learn Theme</a>.</p>
<h3 id="red-variant">Red variant</h3>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml">[<span style="color:#a6e22e">params</span>]
  <span style="color:#75715e"># Change default color scheme with a variant one. Can be &#34;red&#34;, &#34;blue&#34;, &#34;green&#34;.</span>
  <span style="color:#a6e22e">themeVariant</span> = <span style="color:#e6db74">&#34;red&#34;</span>
</code></pre></div><p><img src="/en/basics/style-customization/images/red-variant.png?width=60pc" alt="Red variant"></p>
<h3 id="blue-variant">Blue variant</h3>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml">[<span style="color:#a6e22e">params</span>]
  <span style="color:#75715e"># Change default color scheme with a variant one. Can be &#34;red&#34;, &#34;blue&#34;, &#34;green&#34;.</span>
  <span style="color:#a6e22e">themeVariant</span> = <span style="color:#e6db74">&#34;blue&#34;</span>
</code></pre></div><p><img src="/en/basics/style-customization/images/blue-variant.png?width=60pc" alt="Blue variant"></p>
<h3 id="green-variant">Green variant</h3>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml">[<span style="color:#a6e22e">params</span>]
  <span style="color:#75715e"># Change default color scheme with a variant one. Can be &#34;red&#34;, &#34;blue&#34;, &#34;green&#34;.</span>
  <span style="color:#a6e22e">themeVariant</span> = <span style="color:#e6db74">&#34;green&#34;</span>
</code></pre></div><p><img src="/en/basics/style-customization/images/green-variant.png?width=60pc" alt="Green variant"></p>
<h3 id="yours-variant">&lsquo;Yours‘ variant</h3>
<p>First, create a new CSS file in your local <code>static/css</code> folder prefixed by <code>theme</code> (e.g. with <em>mine</em> theme <code>static/css/theme-mine.css</code>). Copy the following content and modify colors in CSS variables.</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-css" data-lang="css">
:<span style="color:#a6e22e">root</span>{
    
    --MAIN-TEXT-color:<span style="color:#ae81ff">#323232</span>; <span style="color:#75715e">/* Color of text by default */</span>
    --MAIN-TITLES-TEXT-color: <span style="color:#ae81ff">#5e5e5e</span>; <span style="color:#75715e">/* Color of titles h2-h3-h4-h5 */</span>
    --MAIN-LINK-color:<span style="color:#ae81ff">#1C90F3</span>; <span style="color:#75715e">/* Color of links */</span>
    --MAIN-LINK-HOVER-color:<span style="color:#ae81ff">#167ad0</span>; <span style="color:#75715e">/* Color of hovered links */</span>
    --MAIN-ANCHOR-color: <span style="color:#ae81ff">#1C90F3</span>; <span style="color:#75715e">/* color of anchors on titles */</span>

    --MENU-HEADER-BG-color:<span style="color:#ae81ff">#1C90F3</span>; <span style="color:#75715e">/* Background color of menu header */</span>
    --MENU-HEADER-BORDER-color:<span style="color:#ae81ff">#33a1ff</span>; <span style="color:#75715e">/*Color of menu header border */</span> 

    --MENU-SEARCH-BG-color:<span style="color:#ae81ff">#167ad0</span>; <span style="color:#75715e">/* Search field background color (by default borders + icons) */</span>
    --MENU-SEARCH-BOX-color: <span style="color:#ae81ff">#33a1ff</span>; <span style="color:#75715e">/* Override search field border color */</span>
    --MENU-SEARCH-BOX-ICONS-color: <span style="color:#ae81ff">#a1d2fd</span>; <span style="color:#75715e">/* Override search field icons color */</span>

    --MENU-SECTIONS-ACTIVE-BG-color:<span style="color:#ae81ff">#20272b</span>; <span style="color:#75715e">/* Background color of the active section and its childs */</span>
    --MENU-SECTIONS-BG-color:<span style="color:#ae81ff">#252c31</span>; <span style="color:#75715e">/* Background color of other sections */</span>
    --MENU-SECTIONS-LINK-color: <span style="color:#ae81ff">#ccc</span>; <span style="color:#75715e">/* Color of links in menu */</span>
    --MENU-SECTIONS-LINK-HOVER-color: <span style="color:#ae81ff">#e6e6e6</span>;  <span style="color:#75715e">/* Color of links in menu, when hovered */</span>
    --MENU-SECTION-ACTIVE-CATEGORY-color: <span style="color:#ae81ff">#777</span>; <span style="color:#75715e">/* Color of active category text */</span>
    --MENU-SECTION-ACTIVE-CATEGORY-BG-color: <span style="color:#ae81ff">#fff</span>; <span style="color:#75715e">/* Color of background for the active category (only) */</span>

    --MENU-VISITED-color: <span style="color:#ae81ff">#33a1ff</span>; <span style="color:#75715e">/* Color of &#39;page visited&#39; icons in menu */</span>
    --MENU-SECTION-HR-color: <span style="color:#ae81ff">#20272b</span>; <span style="color:#75715e">/* Color of &lt;hr&gt; separator in menu */</span>
    
}

<span style="color:#f92672">body</span> {
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MAIN<span style="color:#f92672">-</span>TEXT<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>) <span style="color:#75715e">!important</span>;
}

<span style="color:#f92672">textarea</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;email&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;number&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;password&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;search&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;tel&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;text&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;url&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;color&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;date&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;datetime&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;datetime-local&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;month&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;time&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">input</span><span style="color:#f92672">[</span><span style="color:#f92672">type</span><span style="color:#f92672">=</span><span style="color:#e6db74">&#34;week&#34;</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span><span style="color:#f92672">,</span> <span style="color:#f92672">select</span><span style="color:#f92672">[</span><span style="color:#f92672">multiple</span><span style="color:#f92672">=</span><span style="color:#f92672">multiple</span><span style="color:#f92672">]</span>:<span style="color:#a6e22e">focus</span> {
    <span style="color:#66d9ef">border-color</span>: <span style="color:#66d9ef">none</span>;
    <span style="color:#66d9ef">box-shadow</span>: <span style="color:#66d9ef">none</span>;
}

<span style="color:#f92672">h2</span><span style="color:#f92672">,</span> <span style="color:#f92672">h3</span><span style="color:#f92672">,</span> <span style="color:#f92672">h4</span><span style="color:#f92672">,</span> <span style="color:#f92672">h5</span> {
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MAIN<span style="color:#f92672">-</span>TITLES<span style="color:#f92672">-</span>TEXT<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>) <span style="color:#75715e">!important</span>;
}

<span style="color:#f92672">a</span> {
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MAIN<span style="color:#f92672">-</span>LINK<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}

.<span style="color:#a6e22e">anchor</span> {
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MAIN<span style="color:#f92672">-</span>ANCHOR<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}

<span style="color:#f92672">a</span>:<span style="color:#a6e22e">hover</span> {
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MAIN<span style="color:#f92672">-</span>LINK<span style="color:#f92672">-</span>HOVER<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}

#sidebar <span style="color:#f92672">ul</span> <span style="color:#f92672">li</span>.<span style="color:#a6e22e">visited</span> <span style="color:#f92672">&gt;</span> <span style="color:#f92672">a</span> .<span style="color:#a6e22e">read-icon</span> {
	<span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>VISITED<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}

#body <span style="color:#f92672">a</span>.<span style="color:#a6e22e">highlight</span>:<span style="color:#a6e22e">after</span> {
    <span style="color:#66d9ef">display</span>: <span style="color:#66d9ef">block</span>;
    <span style="color:#66d9ef">content</span>: <span style="color:#e6db74">&#34;&#34;</span>;
    <span style="color:#66d9ef">height</span>: <span style="color:#ae81ff">1</span><span style="color:#66d9ef">px</span>;
    <span style="color:#66d9ef">width</span>: <span style="color:#ae81ff">0</span><span style="color:#66d9ef">%</span>;
    <span style="color:#66d9ef">-webkit-</span><span style="color:#66d9ef">transition</span>: <span style="color:#66d9ef">width</span> <span style="color:#ae81ff">0.5</span><span style="color:#66d9ef">s</span> <span style="color:#66d9ef">ease</span>;
    <span style="color:#66d9ef">-moz-</span><span style="color:#66d9ef">transition</span>: <span style="color:#66d9ef">width</span> <span style="color:#ae81ff">0.5</span><span style="color:#66d9ef">s</span> <span style="color:#66d9ef">ease</span>;
    <span style="color:#66d9ef">-ms-</span><span style="color:#66d9ef">transition</span>: <span style="color:#66d9ef">width</span> <span style="color:#ae81ff">0.5</span><span style="color:#66d9ef">s</span> <span style="color:#66d9ef">ease</span>;
    <span style="color:#66d9ef">transition</span>: <span style="color:#66d9ef">width</span> <span style="color:#ae81ff">0.5</span><span style="color:#66d9ef">s</span> <span style="color:#66d9ef">ease</span>;
    <span style="color:#66d9ef">background-color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MAIN<span style="color:#f92672">-</span>LINK<span style="color:#f92672">-</span>HOVER<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}
#sidebar {
	<span style="color:#66d9ef">background-color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SECTIONS<span style="color:#f92672">-</span>BG<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}
#sidebar #header-wrapper {
    <span style="color:#66d9ef">background</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>HEADER<span style="color:#f92672">-</span>BG<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SEARCH<span style="color:#f92672">-</span>BOX<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
    <span style="color:#66d9ef">border-color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>HEADER<span style="color:#f92672">-</span>BORDER<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}
#sidebar .<span style="color:#a6e22e">searchbox</span> {
	<span style="color:#66d9ef">border-color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SEARCH<span style="color:#f92672">-</span>BOX<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
    <span style="color:#66d9ef">background</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SEARCH<span style="color:#f92672">-</span>BG<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}
#sidebar <span style="color:#f92672">ul</span>.<span style="color:#a6e22e">topics</span> <span style="color:#f92672">&gt;</span> <span style="color:#f92672">li</span>.<span style="color:#a6e22e">parent</span><span style="color:#f92672">,</span> #sidebar <span style="color:#f92672">ul</span>.<span style="color:#a6e22e">topics</span> <span style="color:#f92672">&gt;</span> <span style="color:#f92672">li</span>.<span style="color:#a6e22e">active</span> {
    <span style="color:#66d9ef">background</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SECTIONS<span style="color:#f92672">-</span>ACTIVE<span style="color:#f92672">-</span>BG<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}
#sidebar .<span style="color:#a6e22e">searchbox</span> <span style="color:#f92672">*</span> {
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SEARCH<span style="color:#f92672">-</span>BOX<span style="color:#f92672">-</span>ICONS<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}

#sidebar <span style="color:#f92672">a</span> {
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SECTIONS<span style="color:#f92672">-</span>LINK<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}

#sidebar <span style="color:#f92672">a</span>:<span style="color:#a6e22e">hover</span> {
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SECTIONS<span style="color:#f92672">-</span>LINK<span style="color:#f92672">-</span>HOVER<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}

#sidebar <span style="color:#f92672">ul</span> <span style="color:#f92672">li</span>.<span style="color:#a6e22e">active</span> <span style="color:#f92672">&gt;</span> <span style="color:#f92672">a</span> {
    <span style="color:#66d9ef">background</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SECTION<span style="color:#f92672">-</span>ACTIVE<span style="color:#f92672">-</span>CATEGORY<span style="color:#f92672">-</span>BG<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
    <span style="color:#66d9ef">color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SECTION<span style="color:#f92672">-</span>ACTIVE<span style="color:#f92672">-</span>CATEGORY<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>) <span style="color:#75715e">!important</span>;
}

#sidebar <span style="color:#f92672">hr</span> {
    <span style="color:#66d9ef">border-color</span>: <span style="color:#a6e22e">var</span>(<span style="color:#f92672">--</span>MENU<span style="color:#f92672">-</span>SECTION<span style="color:#f92672">-</span>HR<span style="color:#f92672">-</span><span style="color:#66d9ef">color</span>);
}
</code></pre></div><p>Then, set the <code>themeVariant</code> value with the name of your custom theme file. That&rsquo;s it !</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml">[<span style="color:#a6e22e">params</span>]
  <span style="color:#75715e"># Change default color scheme with a variant one. Can be &#34;red&#34;, &#34;blue&#34;, &#34;green&#34;.</span>
  <span style="color:#a6e22e">themeVariant</span> = <span style="color:#e6db74">&#34;mine&#34;</span>
</code></pre></div>




<footer class=" footline" >
	
</footer>

        
        </div>
        

      </div>

    <div id="navigation">
        
        

        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        

        


	 
	 
		
			<a class="nav nav-prev" href="/en/basics/configuration/" title="Configuration"> <i class="fa fa-chevron-left"></i></a>
		
		
			<a class="nav nav-next" href="/en/cont/" title="Content" style="margin-right: 0px;"><i class="fa fa-chevron-right"></i></a>
		
	
    </div>

    </section>

    <div style="left: -1000px; overflow: scroll; position: absolute; top: -1000px; border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;">
      <div style="border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;"></div>
    </div>
    <script src="/js/clipboard.min.js?1669031261"></script>
    <script src="/js/perfect-scrollbar.min.js?1669031261"></script>
    <script src="/js/perfect-scrollbar.jquery.min.js?1669031261"></script>
    <script src="/js/jquery.sticky.js?1669031261"></script>
    <script src="/js/featherlight.min.js?1669031261"></script>
    <script src="/js/highlight.pack.js?1669031261"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <script src="/js/modernizr.custom-3.6.0.js?1669031261"></script>
    <script src="/js/learn.js?1669031261"></script>
    <script src="/js/hugo-learn.js?1669031261"></script>
    
        
            <script src="https://unpkg.com/mermaid@8.8.0/dist/mermaid.min.js"></script>
        
        <script>
            mermaid.initialize({ startOnLoad: true });
        </script>
    
    <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-105947713-1', 'auto');
  ga('send', 'pageview');

</script>
  </body>
</html>
